modules/management/kubectl-apply/manifests/jobset-v0.7.2.yaml [4151:4661]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                                                properties:
                                                  host:
                                                    description: 'Optional: Host name to connect to, defaults to the pod IP.'
                                                    type: string
                                                  port:
                                                    anyOf:
                                                    - type: integer
                                                    - type: string
                                                    description: |-
                                                      Number or name of the port to access on the container.
                                                      Number must be in the range 1 to 65535.
                                                      Name must be an IANA_SVC_NAME.
                                                    x-kubernetes-int-or-string: true
                                                required:
                                                - port
                                                type: object
                                              terminationGracePeriodSeconds:
                                                description: |-
                                                  Optional duration in seconds the pod needs to terminate gracefully upon probe failure.
                                                  The grace period is the duration in seconds after the processes running in the pod are sent
                                                  a termination signal and the time when the processes are forcibly halted with a kill signal.
                                                  Set this value longer than the expected cleanup time for your process.
                                                  If this value is nil, the pod's terminationGracePeriodSeconds will be used. Otherwise, this
                                                  value overrides the value provided by the pod spec.
                                                  Value must be non-negative integer. The value zero indicates stop immediately via
                                                  the kill signal (no opportunity to shut down).
                                                  This is a beta field and requires enabling ProbeTerminationGracePeriod feature gate.
                                                  Minimum value is 1. spec.terminationGracePeriodSeconds is used if unset.
                                                format: int64
                                                type: integer
                                              timeoutSeconds:
                                                description: |-
                                                  Number of seconds after which the probe times out.
                                                  Defaults to 1 second. Minimum value is 1.
                                                  More info: https://kubernetes.io/docs/concepts/workloads/pods/pod-lifecycle#container-probes
                                                format: int32
                                                type: integer
                                            type: object
                                          stdin:
                                            description: |-
                                              Whether this container should allocate a buffer for stdin in the container runtime. If this
                                              is not set, reads from stdin in the container will always result in EOF.
                                              Default is false.
                                            type: boolean
                                          stdinOnce:
                                            description: |-
                                              Whether the container runtime should close the stdin channel after it has been opened by
                                              a single attach. When stdin is true the stdin stream will remain open across multiple attach
                                              sessions. If stdinOnce is set to true, stdin is opened on container start, is empty until the
                                              first client attaches to stdin, and then remains open and accepts data until the client disconnects,
                                              at which time stdin is closed and remains closed until the container is restarted. If this
                                              flag is false, a container processes that reads from stdin will never receive an EOF.
                                              Default is false
                                            type: boolean
                                          targetContainerName:
                                            description: |-
                                              If set, the name of the container from PodSpec that this ephemeral container targets.
                                              The ephemeral container will be run in the namespaces (IPC, PID, etc) of this container.
                                              If not set then the ephemeral container uses the namespaces configured in the Pod spec.

                                              The container runtime must implement support for this feature. If the runtime does not
                                              support namespace targeting then the result of setting this field is undefined.
                                            type: string
                                          terminationMessagePath:
                                            description: |-
                                              Optional: Path at which the file to which the container's termination message
                                              will be written is mounted into the container's filesystem.
                                              Message written is intended to be brief final status, such as an assertion failure message.
                                              Will be truncated by the node if greater than 4096 bytes. The total message length across
                                              all containers will be limited to 12kb.
                                              Defaults to /dev/termination-log.
                                              Cannot be updated.
                                            type: string
                                          terminationMessagePolicy:
                                            description: |-
                                              Indicate how the termination message should be populated. File will use the contents of
                                              terminationMessagePath to populate the container status message on both success and failure.
                                              FallbackToLogsOnError will use the last chunk of container log output if the termination
                                              message file is empty and the container exited with an error.
                                              The log output is limited to 2048 bytes or 80 lines, whichever is smaller.
                                              Defaults to File.
                                              Cannot be updated.
                                            type: string
                                          tty:
                                            description: |-
                                              Whether this container should allocate a TTY for itself, also requires 'stdin' to be true.
                                              Default is false.
                                            type: boolean
                                          volumeDevices:
                                            description: volumeDevices is the list of block devices to be used by the container.
                                            items:
                                              description: volumeDevice describes a mapping of a raw block device within a container.
                                              properties:
                                                devicePath:
                                                  description: devicePath is the path inside of the container that the device will be mapped to.
                                                  type: string
                                                name:
                                                  description: name must match the name of a persistentVolumeClaim in the pod
                                                  type: string
                                              required:
                                              - devicePath
                                              - name
                                              type: object
                                            type: array
                                            x-kubernetes-list-map-keys:
                                            - devicePath
                                            x-kubernetes-list-type: map
                                          volumeMounts:
                                            description: |-
                                              Pod volumes to mount into the container's filesystem. Subpath mounts are not allowed for ephemeral containers.
                                              Cannot be updated.
                                            items:
                                              description: VolumeMount describes a mounting of a Volume within a container.
                                              properties:
                                                mountPath:
                                                  description: |-
                                                    Path within the container at which the volume should be mounted.  Must
                                                    not contain ':'.
                                                  type: string
                                                mountPropagation:
                                                  description: |-
                                                    mountPropagation determines how mounts are propagated from the host
                                                    to container and the other way around.
                                                    When not set, MountPropagationNone is used.
                                                    This field is beta in 1.10.
                                                    When RecursiveReadOnly is set to IfPossible or to Enabled, MountPropagation must be None or unspecified
                                                    (which defaults to None).
                                                  type: string
                                                name:
                                                  description: This must match the Name of a Volume.
                                                  type: string
                                                readOnly:
                                                  description: |-
                                                    Mounted read-only if true, read-write otherwise (false or unspecified).
                                                    Defaults to false.
                                                  type: boolean
                                                recursiveReadOnly:
                                                  description: |-
                                                    RecursiveReadOnly specifies whether read-only mounts should be handled
                                                    recursively.

                                                    If ReadOnly is false, this field has no meaning and must be unspecified.

                                                    If ReadOnly is true, and this field is set to Disabled, the mount is not made
                                                    recursively read-only.  If this field is set to IfPossible, the mount is made
                                                    recursively read-only, if it is supported by the container runtime.  If this
                                                    field is set to Enabled, the mount is made recursively read-only if it is
                                                    supported by the container runtime, otherwise the pod will not be started and
                                                    an error will be generated to indicate the reason.

                                                    If this field is set to IfPossible or Enabled, MountPropagation must be set to
                                                    None (or be unspecified, which defaults to None).

                                                    If this field is not specified, it is treated as an equivalent of Disabled.
                                                  type: string
                                                subPath:
                                                  description: |-
                                                    Path within the volume from which the container's volume should be mounted.
                                                    Defaults to "" (volume's root).
                                                  type: string
                                                subPathExpr:
                                                  description: |-
                                                    Expanded path within the volume from which the container's volume should be mounted.
                                                    Behaves similarly to SubPath but environment variable references $(VAR_NAME) are expanded using the container's environment.
                                                    Defaults to "" (volume's root).
                                                    SubPathExpr and SubPath are mutually exclusive.
                                                  type: string
                                              required:
                                              - mountPath
                                              - name
                                              type: object
                                            type: array
                                            x-kubernetes-list-map-keys:
                                            - mountPath
                                            x-kubernetes-list-type: map
                                          workingDir:
                                            description: |-
                                              Container's working directory.
                                              If not specified, the container runtime's default will be used, which
                                              might be configured in the container image.
                                              Cannot be updated.
                                            type: string
                                        required:
                                        - name
                                        type: object
                                      type: array
                                      x-kubernetes-list-map-keys:
                                      - name
                                      x-kubernetes-list-type: map
                                    hostAliases:
                                      description: |-
                                        HostAliases is an optional list of hosts and IPs that will be injected into the pod's hosts
                                        file if specified.
                                      items:
                                        description: |-
                                          HostAlias holds the mapping between IP and hostnames that will be injected as an entry in the
                                          pod's hosts file.
                                        properties:
                                          hostnames:
                                            description: Hostnames for the above IP address.
                                            items:
                                              type: string
                                            type: array
                                            x-kubernetes-list-type: atomic
                                          ip:
                                            description: IP address of the host file entry.
                                            type: string
                                        required:
                                        - ip
                                        type: object
                                      type: array
                                      x-kubernetes-list-map-keys:
                                      - ip
                                      x-kubernetes-list-type: map
                                    hostIPC:
                                      description: |-
                                        Use the host's ipc namespace.
                                        Optional: Default to false.
                                      type: boolean
                                    hostNetwork:
                                      description: |-
                                        Host networking requested for this pod. Use the host's network namespace.
                                        If this option is set, the ports that will be used must be specified.
                                        Default to false.
                                      type: boolean
                                    hostPID:
                                      description: |-
                                        Use the host's pid namespace.
                                        Optional: Default to false.
                                      type: boolean
                                    hostUsers:
                                      description: |-
                                        Use the host's user namespace.
                                        Optional: Default to true.
                                        If set to true or not present, the pod will be run in the host user namespace, useful
                                        for when the pod needs a feature only available to the host user namespace, such as
                                        loading a kernel module with CAP_SYS_MODULE.
                                        When set to false, a new userns is created for the pod. Setting false is useful for
                                        mitigating container breakout vulnerabilities even allowing users to run their
                                        containers as root without actually having root privileges on the host.
                                        This field is alpha-level and is only honored by servers that enable the UserNamespacesSupport feature.
                                      type: boolean
                                    hostname:
                                      description: |-
                                        Specifies the hostname of the Pod
                                        If not specified, the pod's hostname will be set to a system-defined value.
                                      type: string
                                    imagePullSecrets:
                                      description: |-
                                        ImagePullSecrets is an optional list of references to secrets in the same namespace to use for pulling any of the images used by this PodSpec.
                                        If specified, these secrets will be passed to individual puller implementations for them to use.
                                        More info: https://kubernetes.io/docs/concepts/containers/images#specifying-imagepullsecrets-on-a-pod
                                      items:
                                        description: |-
                                          LocalObjectReference contains enough information to let you locate the
                                          referenced object inside the same namespace.
                                        properties:
                                          name:
                                            default: ""
                                            description: |-
                                              Name of the referent.
                                              This field is effectively required, but due to backwards compatibility is
                                              allowed to be empty. Instances of this type with an empty value here are
                                              almost certainly wrong.
                                              More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names
                                            type: string
                                        type: object
                                        x-kubernetes-map-type: atomic
                                      type: array
                                      x-kubernetes-list-map-keys:
                                      - name
                                      x-kubernetes-list-type: map
                                    initContainers:
                                      description: |-
                                        List of initialization containers belonging to the pod.
                                        Init containers are executed in order prior to containers being started. If any
                                        init container fails, the pod is considered to have failed and is handled according
                                        to its restartPolicy. The name for an init container or normal container must be
                                        unique among all containers.
                                        Init containers may not have Lifecycle actions, Readiness probes, Liveness probes, or Startup probes.
                                        The resourceRequirements of an init container are taken into account during scheduling
                                        by finding the highest request/limit for each resource type, and then using the max of
                                        of that value or the sum of the normal containers. Limits are applied to init containers
                                        in a similar fashion.
                                        Init containers cannot currently be added or removed.
                                        Cannot be updated.
                                        More info: https://kubernetes.io/docs/concepts/workloads/pods/init-containers/
                                      items:
                                        description: A single application container that you want to run within a pod.
                                        properties:
                                          args:
                                            description: |-
                                              Arguments to the entrypoint.
                                              The container image's CMD is used if this is not provided.
                                              Variable references $(VAR_NAME) are expanded using the container's environment. If a variable
                                              cannot be resolved, the reference in the input string will be unchanged. Double $$ are reduced
                                              to a single $, which allows for escaping the $(VAR_NAME) syntax: i.e. "$$(VAR_NAME)" will
                                              produce the string literal "$(VAR_NAME)". Escaped references will never be expanded, regardless
                                              of whether the variable exists or not. Cannot be updated.
                                              More info: https://kubernetes.io/docs/tasks/inject-data-application/define-command-argument-container/#running-a-command-in-a-shell
                                            items:
                                              type: string
                                            type: array
                                            x-kubernetes-list-type: atomic
                                          command:
                                            description: |-
                                              Entrypoint array. Not executed within a shell.
                                              The container image's ENTRYPOINT is used if this is not provided.
                                              Variable references $(VAR_NAME) are expanded using the container's environment. If a variable
                                              cannot be resolved, the reference in the input string will be unchanged. Double $$ are reduced
                                              to a single $, which allows for escaping the $(VAR_NAME) syntax: i.e. "$$(VAR_NAME)" will
                                              produce the string literal "$(VAR_NAME)". Escaped references will never be expanded, regardless
                                              of whether the variable exists or not. Cannot be updated.
                                              More info: https://kubernetes.io/docs/tasks/inject-data-application/define-command-argument-container/#running-a-command-in-a-shell
                                            items:
                                              type: string
                                            type: array
                                            x-kubernetes-list-type: atomic
                                          env:
                                            description: |-
                                              List of environment variables to set in the container.
                                              Cannot be updated.
                                            items:
                                              description: EnvVar represents an environment variable present in a Container.
                                              properties:
                                                name:
                                                  description: Name of the environment variable. Must be a C_IDENTIFIER.
                                                  type: string
                                                value:
                                                  description: |-
                                                    Variable references $(VAR_NAME) are expanded
                                                    using the previously defined environment variables in the container and
                                                    any service environment variables. If a variable cannot be resolved,
                                                    the reference in the input string will be unchanged. Double $$ are reduced
                                                    to a single $, which allows for escaping the $(VAR_NAME) syntax: i.e.
                                                    "$$(VAR_NAME)" will produce the string literal "$(VAR_NAME)".
                                                    Escaped references will never be expanded, regardless of whether the variable
                                                    exists or not.
                                                    Defaults to "".
                                                  type: string
                                                valueFrom:
                                                  description: Source for the environment variable's value. Cannot be used if value is not empty.
                                                  properties:
                                                    configMapKeyRef:
                                                      description: Selects a key of a ConfigMap.
                                                      properties:
                                                        key:
                                                          description: The key to select.
                                                          type: string
                                                        name:
                                                          default: ""
                                                          description: |-
                                                            Name of the referent.
                                                            This field is effectively required, but due to backwards compatibility is
                                                            allowed to be empty. Instances of this type with an empty value here are
                                                            almost certainly wrong.
                                                            More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names
                                                          type: string
                                                        optional:
                                                          description: Specify whether the ConfigMap or its key must be defined
                                                          type: boolean
                                                      required:
                                                      - key
                                                      type: object
                                                      x-kubernetes-map-type: atomic
                                                    fieldRef:
                                                      description: |-
                                                        Selects a field of the pod: supports metadata.name, metadata.namespace, `metadata.labels['<KEY>']`, `metadata.annotations['<KEY>']`,
                                                        spec.nodeName, spec.serviceAccountName, status.hostIP, status.podIP, status.podIPs.
                                                      properties:
                                                        apiVersion:
                                                          description: Version of the schema the FieldPath is written in terms of, defaults to "v1".
                                                          type: string
                                                        fieldPath:
                                                          description: Path of the field to select in the specified API version.
                                                          type: string
                                                      required:
                                                      - fieldPath
                                                      type: object
                                                      x-kubernetes-map-type: atomic
                                                    resourceFieldRef:
                                                      description: |-
                                                        Selects a resource of the container: only resources limits and requests
                                                        (limits.cpu, limits.memory, limits.ephemeral-storage, requests.cpu, requests.memory and requests.ephemeral-storage) are currently supported.
                                                      properties:
                                                        containerName:
                                                          description: 'Container name: required for volumes, optional for env vars'
                                                          type: string
                                                        divisor:
                                                          anyOf:
                                                          - type: integer
                                                          - type: string
                                                          description: Specifies the output format of the exposed resources, defaults to "1"
                                                          pattern: ^(\+|-)?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\+|-)?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))))?$
                                                          x-kubernetes-int-or-string: true
                                                        resource:
                                                          description: 'Required: resource to select'
                                                          type: string
                                                      required:
                                                      - resource
                                                      type: object
                                                      x-kubernetes-map-type: atomic
                                                    secretKeyRef:
                                                      description: Selects a key of a secret in the pod's namespace
                                                      properties:
                                                        key:
                                                          description: The key of the secret to select from.  Must be a valid secret key.
                                                          type: string
                                                        name:
                                                          default: ""
                                                          description: |-
                                                            Name of the referent.
                                                            This field is effectively required, but due to backwards compatibility is
                                                            allowed to be empty. Instances of this type with an empty value here are
                                                            almost certainly wrong.
                                                            More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names
                                                          type: string
                                                        optional:
                                                          description: Specify whether the Secret or its key must be defined
                                                          type: boolean
                                                      required:
                                                      - key
                                                      type: object
                                                      x-kubernetes-map-type: atomic
                                                  type: object
                                              required:
                                              - name
                                              type: object
                                            type: array
                                            x-kubernetes-list-map-keys:
                                            - name
                                            x-kubernetes-list-type: map
                                          envFrom:
                                            description: |-
                                              List of sources to populate environment variables in the container.
                                              The keys defined within a source must be a C_IDENTIFIER. All invalid keys
                                              will be reported as an event when the container is starting. When a key exists in multiple
                                              sources, the value associated with the last source will take precedence.
                                              Values defined by an Env with a duplicate key will take precedence.
                                              Cannot be updated.
                                            items:
                                              description: EnvFromSource represents the source of a set of ConfigMaps
                                              properties:
                                                configMapRef:
                                                  description: The ConfigMap to select from
                                                  properties:
                                                    name:
                                                      default: ""
                                                      description: |-
                                                        Name of the referent.
                                                        This field is effectively required, but due to backwards compatibility is
                                                        allowed to be empty. Instances of this type with an empty value here are
                                                        almost certainly wrong.
                                                        More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names
                                                      type: string
                                                    optional:
                                                      description: Specify whether the ConfigMap must be defined
                                                      type: boolean
                                                  type: object
                                                  x-kubernetes-map-type: atomic
                                                prefix:
                                                  description: An optional identifier to prepend to each key in the ConfigMap. Must be a C_IDENTIFIER.
                                                  type: string
                                                secretRef:
                                                  description: The Secret to select from
                                                  properties:
                                                    name:
                                                      default: ""
                                                      description: |-
                                                        Name of the referent.
                                                        This field is effectively required, but due to backwards compatibility is
                                                        allowed to be empty. Instances of this type with an empty value here are
                                                        almost certainly wrong.
                                                        More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names
                                                      type: string
                                                    optional:
                                                      description: Specify whether the Secret must be defined
                                                      type: boolean
                                                  type: object
                                                  x-kubernetes-map-type: atomic
                                              type: object
                                            type: array
                                            x-kubernetes-list-type: atomic
                                          image:
                                            description: |-
                                              Container image name.
                                              More info: https://kubernetes.io/docs/concepts/containers/images
                                              This field is optional to allow higher level config management to default or override
                                              container images in workload controllers like Deployments and StatefulSets.
                                            type: string
                                          imagePullPolicy:
                                            description: |-
                                              Image pull policy.
                                              One of Always, Never, IfNotPresent.
                                              Defaults to Always if :latest tag is specified, or IfNotPresent otherwise.
                                              Cannot be updated.
                                              More info: https://kubernetes.io/docs/concepts/containers/images#updating-images
                                            type: string
                                          lifecycle:
                                            description: |-
                                              Actions that the management system should take in response to container lifecycle events.
                                              Cannot be updated.
                                            properties:
                                              postStart:
                                                description: |-
                                                  PostStart is called immediately after a container is created. If the handler fails,
                                                  the container is terminated and restarted according to its restart policy.
                                                  Other management of the container blocks until the hook completes.
                                                  More info: https://kubernetes.io/docs/concepts/containers/container-lifecycle-hooks/#container-hooks
                                                properties:
                                                  exec:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



modules/management/kubectl-apply/manifests/jobset-v0.8.1.yaml [4189:4699]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                                                properties:
                                                  host:
                                                    description: 'Optional: Host name to connect to, defaults to the pod IP.'
                                                    type: string
                                                  port:
                                                    anyOf:
                                                    - type: integer
                                                    - type: string
                                                    description: |-
                                                      Number or name of the port to access on the container.
                                                      Number must be in the range 1 to 65535.
                                                      Name must be an IANA_SVC_NAME.
                                                    x-kubernetes-int-or-string: true
                                                required:
                                                - port
                                                type: object
                                              terminationGracePeriodSeconds:
                                                description: |-
                                                  Optional duration in seconds the pod needs to terminate gracefully upon probe failure.
                                                  The grace period is the duration in seconds after the processes running in the pod are sent
                                                  a termination signal and the time when the processes are forcibly halted with a kill signal.
                                                  Set this value longer than the expected cleanup time for your process.
                                                  If this value is nil, the pod's terminationGracePeriodSeconds will be used. Otherwise, this
                                                  value overrides the value provided by the pod spec.
                                                  Value must be non-negative integer. The value zero indicates stop immediately via
                                                  the kill signal (no opportunity to shut down).
                                                  This is a beta field and requires enabling ProbeTerminationGracePeriod feature gate.
                                                  Minimum value is 1. spec.terminationGracePeriodSeconds is used if unset.
                                                format: int64
                                                type: integer
                                              timeoutSeconds:
                                                description: |-
                                                  Number of seconds after which the probe times out.
                                                  Defaults to 1 second. Minimum value is 1.
                                                  More info: https://kubernetes.io/docs/concepts/workloads/pods/pod-lifecycle#container-probes
                                                format: int32
                                                type: integer
                                            type: object
                                          stdin:
                                            description: |-
                                              Whether this container should allocate a buffer for stdin in the container runtime. If this
                                              is not set, reads from stdin in the container will always result in EOF.
                                              Default is false.
                                            type: boolean
                                          stdinOnce:
                                            description: |-
                                              Whether the container runtime should close the stdin channel after it has been opened by
                                              a single attach. When stdin is true the stdin stream will remain open across multiple attach
                                              sessions. If stdinOnce is set to true, stdin is opened on container start, is empty until the
                                              first client attaches to stdin, and then remains open and accepts data until the client disconnects,
                                              at which time stdin is closed and remains closed until the container is restarted. If this
                                              flag is false, a container processes that reads from stdin will never receive an EOF.
                                              Default is false
                                            type: boolean
                                          targetContainerName:
                                            description: |-
                                              If set, the name of the container from PodSpec that this ephemeral container targets.
                                              The ephemeral container will be run in the namespaces (IPC, PID, etc) of this container.
                                              If not set then the ephemeral container uses the namespaces configured in the Pod spec.

                                              The container runtime must implement support for this feature. If the runtime does not
                                              support namespace targeting then the result of setting this field is undefined.
                                            type: string
                                          terminationMessagePath:
                                            description: |-
                                              Optional: Path at which the file to which the container's termination message
                                              will be written is mounted into the container's filesystem.
                                              Message written is intended to be brief final status, such as an assertion failure message.
                                              Will be truncated by the node if greater than 4096 bytes. The total message length across
                                              all containers will be limited to 12kb.
                                              Defaults to /dev/termination-log.
                                              Cannot be updated.
                                            type: string
                                          terminationMessagePolicy:
                                            description: |-
                                              Indicate how the termination message should be populated. File will use the contents of
                                              terminationMessagePath to populate the container status message on both success and failure.
                                              FallbackToLogsOnError will use the last chunk of container log output if the termination
                                              message file is empty and the container exited with an error.
                                              The log output is limited to 2048 bytes or 80 lines, whichever is smaller.
                                              Defaults to File.
                                              Cannot be updated.
                                            type: string
                                          tty:
                                            description: |-
                                              Whether this container should allocate a TTY for itself, also requires 'stdin' to be true.
                                              Default is false.
                                            type: boolean
                                          volumeDevices:
                                            description: volumeDevices is the list of block devices to be used by the container.
                                            items:
                                              description: volumeDevice describes a mapping of a raw block device within a container.
                                              properties:
                                                devicePath:
                                                  description: devicePath is the path inside of the container that the device will be mapped to.
                                                  type: string
                                                name:
                                                  description: name must match the name of a persistentVolumeClaim in the pod
                                                  type: string
                                              required:
                                              - devicePath
                                              - name
                                              type: object
                                            type: array
                                            x-kubernetes-list-map-keys:
                                            - devicePath
                                            x-kubernetes-list-type: map
                                          volumeMounts:
                                            description: |-
                                              Pod volumes to mount into the container's filesystem. Subpath mounts are not allowed for ephemeral containers.
                                              Cannot be updated.
                                            items:
                                              description: VolumeMount describes a mounting of a Volume within a container.
                                              properties:
                                                mountPath:
                                                  description: |-
                                                    Path within the container at which the volume should be mounted.  Must
                                                    not contain ':'.
                                                  type: string
                                                mountPropagation:
                                                  description: |-
                                                    mountPropagation determines how mounts are propagated from the host
                                                    to container and the other way around.
                                                    When not set, MountPropagationNone is used.
                                                    This field is beta in 1.10.
                                                    When RecursiveReadOnly is set to IfPossible or to Enabled, MountPropagation must be None or unspecified
                                                    (which defaults to None).
                                                  type: string
                                                name:
                                                  description: This must match the Name of a Volume.
                                                  type: string
                                                readOnly:
                                                  description: |-
                                                    Mounted read-only if true, read-write otherwise (false or unspecified).
                                                    Defaults to false.
                                                  type: boolean
                                                recursiveReadOnly:
                                                  description: |-
                                                    RecursiveReadOnly specifies whether read-only mounts should be handled
                                                    recursively.

                                                    If ReadOnly is false, this field has no meaning and must be unspecified.

                                                    If ReadOnly is true, and this field is set to Disabled, the mount is not made
                                                    recursively read-only.  If this field is set to IfPossible, the mount is made
                                                    recursively read-only, if it is supported by the container runtime.  If this
                                                    field is set to Enabled, the mount is made recursively read-only if it is
                                                    supported by the container runtime, otherwise the pod will not be started and
                                                    an error will be generated to indicate the reason.

                                                    If this field is set to IfPossible or Enabled, MountPropagation must be set to
                                                    None (or be unspecified, which defaults to None).

                                                    If this field is not specified, it is treated as an equivalent of Disabled.
                                                  type: string
                                                subPath:
                                                  description: |-
                                                    Path within the volume from which the container's volume should be mounted.
                                                    Defaults to "" (volume's root).
                                                  type: string
                                                subPathExpr:
                                                  description: |-
                                                    Expanded path within the volume from which the container's volume should be mounted.
                                                    Behaves similarly to SubPath but environment variable references $(VAR_NAME) are expanded using the container's environment.
                                                    Defaults to "" (volume's root).
                                                    SubPathExpr and SubPath are mutually exclusive.
                                                  type: string
                                              required:
                                              - mountPath
                                              - name
                                              type: object
                                            type: array
                                            x-kubernetes-list-map-keys:
                                            - mountPath
                                            x-kubernetes-list-type: map
                                          workingDir:
                                            description: |-
                                              Container's working directory.
                                              If not specified, the container runtime's default will be used, which
                                              might be configured in the container image.
                                              Cannot be updated.
                                            type: string
                                        required:
                                        - name
                                        type: object
                                      type: array
                                      x-kubernetes-list-map-keys:
                                      - name
                                      x-kubernetes-list-type: map
                                    hostAliases:
                                      description: |-
                                        HostAliases is an optional list of hosts and IPs that will be injected into the pod's hosts
                                        file if specified.
                                      items:
                                        description: |-
                                          HostAlias holds the mapping between IP and hostnames that will be injected as an entry in the
                                          pod's hosts file.
                                        properties:
                                          hostnames:
                                            description: Hostnames for the above IP address.
                                            items:
                                              type: string
                                            type: array
                                            x-kubernetes-list-type: atomic
                                          ip:
                                            description: IP address of the host file entry.
                                            type: string
                                        required:
                                        - ip
                                        type: object
                                      type: array
                                      x-kubernetes-list-map-keys:
                                      - ip
                                      x-kubernetes-list-type: map
                                    hostIPC:
                                      description: |-
                                        Use the host's ipc namespace.
                                        Optional: Default to false.
                                      type: boolean
                                    hostNetwork:
                                      description: |-
                                        Host networking requested for this pod. Use the host's network namespace.
                                        If this option is set, the ports that will be used must be specified.
                                        Default to false.
                                      type: boolean
                                    hostPID:
                                      description: |-
                                        Use the host's pid namespace.
                                        Optional: Default to false.
                                      type: boolean
                                    hostUsers:
                                      description: |-
                                        Use the host's user namespace.
                                        Optional: Default to true.
                                        If set to true or not present, the pod will be run in the host user namespace, useful
                                        for when the pod needs a feature only available to the host user namespace, such as
                                        loading a kernel module with CAP_SYS_MODULE.
                                        When set to false, a new userns is created for the pod. Setting false is useful for
                                        mitigating container breakout vulnerabilities even allowing users to run their
                                        containers as root without actually having root privileges on the host.
                                        This field is alpha-level and is only honored by servers that enable the UserNamespacesSupport feature.
                                      type: boolean
                                    hostname:
                                      description: |-
                                        Specifies the hostname of the Pod
                                        If not specified, the pod's hostname will be set to a system-defined value.
                                      type: string
                                    imagePullSecrets:
                                      description: |-
                                        ImagePullSecrets is an optional list of references to secrets in the same namespace to use for pulling any of the images used by this PodSpec.
                                        If specified, these secrets will be passed to individual puller implementations for them to use.
                                        More info: https://kubernetes.io/docs/concepts/containers/images#specifying-imagepullsecrets-on-a-pod
                                      items:
                                        description: |-
                                          LocalObjectReference contains enough information to let you locate the
                                          referenced object inside the same namespace.
                                        properties:
                                          name:
                                            default: ""
                                            description: |-
                                              Name of the referent.
                                              This field is effectively required, but due to backwards compatibility is
                                              allowed to be empty. Instances of this type with an empty value here are
                                              almost certainly wrong.
                                              More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names
                                            type: string
                                        type: object
                                        x-kubernetes-map-type: atomic
                                      type: array
                                      x-kubernetes-list-map-keys:
                                      - name
                                      x-kubernetes-list-type: map
                                    initContainers:
                                      description: |-
                                        List of initialization containers belonging to the pod.
                                        Init containers are executed in order prior to containers being started. If any
                                        init container fails, the pod is considered to have failed and is handled according
                                        to its restartPolicy. The name for an init container or normal container must be
                                        unique among all containers.
                                        Init containers may not have Lifecycle actions, Readiness probes, Liveness probes, or Startup probes.
                                        The resourceRequirements of an init container are taken into account during scheduling
                                        by finding the highest request/limit for each resource type, and then using the max of
                                        of that value or the sum of the normal containers. Limits are applied to init containers
                                        in a similar fashion.
                                        Init containers cannot currently be added or removed.
                                        Cannot be updated.
                                        More info: https://kubernetes.io/docs/concepts/workloads/pods/init-containers/
                                      items:
                                        description: A single application container that you want to run within a pod.
                                        properties:
                                          args:
                                            description: |-
                                              Arguments to the entrypoint.
                                              The container image's CMD is used if this is not provided.
                                              Variable references $(VAR_NAME) are expanded using the container's environment. If a variable
                                              cannot be resolved, the reference in the input string will be unchanged. Double $$ are reduced
                                              to a single $, which allows for escaping the $(VAR_NAME) syntax: i.e. "$$(VAR_NAME)" will
                                              produce the string literal "$(VAR_NAME)". Escaped references will never be expanded, regardless
                                              of whether the variable exists or not. Cannot be updated.
                                              More info: https://kubernetes.io/docs/tasks/inject-data-application/define-command-argument-container/#running-a-command-in-a-shell
                                            items:
                                              type: string
                                            type: array
                                            x-kubernetes-list-type: atomic
                                          command:
                                            description: |-
                                              Entrypoint array. Not executed within a shell.
                                              The container image's ENTRYPOINT is used if this is not provided.
                                              Variable references $(VAR_NAME) are expanded using the container's environment. If a variable
                                              cannot be resolved, the reference in the input string will be unchanged. Double $$ are reduced
                                              to a single $, which allows for escaping the $(VAR_NAME) syntax: i.e. "$$(VAR_NAME)" will
                                              produce the string literal "$(VAR_NAME)". Escaped references will never be expanded, regardless
                                              of whether the variable exists or not. Cannot be updated.
                                              More info: https://kubernetes.io/docs/tasks/inject-data-application/define-command-argument-container/#running-a-command-in-a-shell
                                            items:
                                              type: string
                                            type: array
                                            x-kubernetes-list-type: atomic
                                          env:
                                            description: |-
                                              List of environment variables to set in the container.
                                              Cannot be updated.
                                            items:
                                              description: EnvVar represents an environment variable present in a Container.
                                              properties:
                                                name:
                                                  description: Name of the environment variable. Must be a C_IDENTIFIER.
                                                  type: string
                                                value:
                                                  description: |-
                                                    Variable references $(VAR_NAME) are expanded
                                                    using the previously defined environment variables in the container and
                                                    any service environment variables. If a variable cannot be resolved,
                                                    the reference in the input string will be unchanged. Double $$ are reduced
                                                    to a single $, which allows for escaping the $(VAR_NAME) syntax: i.e.
                                                    "$$(VAR_NAME)" will produce the string literal "$(VAR_NAME)".
                                                    Escaped references will never be expanded, regardless of whether the variable
                                                    exists or not.
                                                    Defaults to "".
                                                  type: string
                                                valueFrom:
                                                  description: Source for the environment variable's value. Cannot be used if value is not empty.
                                                  properties:
                                                    configMapKeyRef:
                                                      description: Selects a key of a ConfigMap.
                                                      properties:
                                                        key:
                                                          description: The key to select.
                                                          type: string
                                                        name:
                                                          default: ""
                                                          description: |-
                                                            Name of the referent.
                                                            This field is effectively required, but due to backwards compatibility is
                                                            allowed to be empty. Instances of this type with an empty value here are
                                                            almost certainly wrong.
                                                            More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names
                                                          type: string
                                                        optional:
                                                          description: Specify whether the ConfigMap or its key must be defined
                                                          type: boolean
                                                      required:
                                                      - key
                                                      type: object
                                                      x-kubernetes-map-type: atomic
                                                    fieldRef:
                                                      description: |-
                                                        Selects a field of the pod: supports metadata.name, metadata.namespace, `metadata.labels['<KEY>']`, `metadata.annotations['<KEY>']`,
                                                        spec.nodeName, spec.serviceAccountName, status.hostIP, status.podIP, status.podIPs.
                                                      properties:
                                                        apiVersion:
                                                          description: Version of the schema the FieldPath is written in terms of, defaults to "v1".
                                                          type: string
                                                        fieldPath:
                                                          description: Path of the field to select in the specified API version.
                                                          type: string
                                                      required:
                                                      - fieldPath
                                                      type: object
                                                      x-kubernetes-map-type: atomic
                                                    resourceFieldRef:
                                                      description: |-
                                                        Selects a resource of the container: only resources limits and requests
                                                        (limits.cpu, limits.memory, limits.ephemeral-storage, requests.cpu, requests.memory and requests.ephemeral-storage) are currently supported.
                                                      properties:
                                                        containerName:
                                                          description: 'Container name: required for volumes, optional for env vars'
                                                          type: string
                                                        divisor:
                                                          anyOf:
                                                          - type: integer
                                                          - type: string
                                                          description: Specifies the output format of the exposed resources, defaults to "1"
                                                          pattern: ^(\+|-)?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\+|-)?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))))?$
                                                          x-kubernetes-int-or-string: true
                                                        resource:
                                                          description: 'Required: resource to select'
                                                          type: string
                                                      required:
                                                      - resource
                                                      type: object
                                                      x-kubernetes-map-type: atomic
                                                    secretKeyRef:
                                                      description: Selects a key of a secret in the pod's namespace
                                                      properties:
                                                        key:
                                                          description: The key of the secret to select from.  Must be a valid secret key.
                                                          type: string
                                                        name:
                                                          default: ""
                                                          description: |-
                                                            Name of the referent.
                                                            This field is effectively required, but due to backwards compatibility is
                                                            allowed to be empty. Instances of this type with an empty value here are
                                                            almost certainly wrong.
                                                            More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names
                                                          type: string
                                                        optional:
                                                          description: Specify whether the Secret or its key must be defined
                                                          type: boolean
                                                      required:
                                                      - key
                                                      type: object
                                                      x-kubernetes-map-type: atomic
                                                  type: object
                                              required:
                                              - name
                                              type: object
                                            type: array
                                            x-kubernetes-list-map-keys:
                                            - name
                                            x-kubernetes-list-type: map
                                          envFrom:
                                            description: |-
                                              List of sources to populate environment variables in the container.
                                              The keys defined within a source must be a C_IDENTIFIER. All invalid keys
                                              will be reported as an event when the container is starting. When a key exists in multiple
                                              sources, the value associated with the last source will take precedence.
                                              Values defined by an Env with a duplicate key will take precedence.
                                              Cannot be updated.
                                            items:
                                              description: EnvFromSource represents the source of a set of ConfigMaps
                                              properties:
                                                configMapRef:
                                                  description: The ConfigMap to select from
                                                  properties:
                                                    name:
                                                      default: ""
                                                      description: |-
                                                        Name of the referent.
                                                        This field is effectively required, but due to backwards compatibility is
                                                        allowed to be empty. Instances of this type with an empty value here are
                                                        almost certainly wrong.
                                                        More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names
                                                      type: string
                                                    optional:
                                                      description: Specify whether the ConfigMap must be defined
                                                      type: boolean
                                                  type: object
                                                  x-kubernetes-map-type: atomic
                                                prefix:
                                                  description: An optional identifier to prepend to each key in the ConfigMap. Must be a C_IDENTIFIER.
                                                  type: string
                                                secretRef:
                                                  description: The Secret to select from
                                                  properties:
                                                    name:
                                                      default: ""
                                                      description: |-
                                                        Name of the referent.
                                                        This field is effectively required, but due to backwards compatibility is
                                                        allowed to be empty. Instances of this type with an empty value here are
                                                        almost certainly wrong.
                                                        More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names
                                                      type: string
                                                    optional:
                                                      description: Specify whether the Secret must be defined
                                                      type: boolean
                                                  type: object
                                                  x-kubernetes-map-type: atomic
                                              type: object
                                            type: array
                                            x-kubernetes-list-type: atomic
                                          image:
                                            description: |-
                                              Container image name.
                                              More info: https://kubernetes.io/docs/concepts/containers/images
                                              This field is optional to allow higher level config management to default or override
                                              container images in workload controllers like Deployments and StatefulSets.
                                            type: string
                                          imagePullPolicy:
                                            description: |-
                                              Image pull policy.
                                              One of Always, Never, IfNotPresent.
                                              Defaults to Always if :latest tag is specified, or IfNotPresent otherwise.
                                              Cannot be updated.
                                              More info: https://kubernetes.io/docs/concepts/containers/images#updating-images
                                            type: string
                                          lifecycle:
                                            description: |-
                                              Actions that the management system should take in response to container lifecycle events.
                                              Cannot be updated.
                                            properties:
                                              postStart:
                                                description: |-
                                                  PostStart is called immediately after a container is created. If the handler fails,
                                                  the container is terminated and restarted according to its restart policy.
                                                  Other management of the container blocks until the hook completes.
                                                  More info: https://kubernetes.io/docs/concepts/containers/container-lifecycle-hooks/#container-hooks
                                                properties:
                                                  exec:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



